-- 基础信息
base_info = {
	group_id = 242011003
}

-- Trigger变量
defs = {
	group_id = 242011003,
	gear_group_id = 242011002
}

-- DEFS_MISCS
package_tide_defs={
  [1]={{monster_package={12003},route=3,route_points={1,2,3,4,5,6,7,8},tags=4,count=15,max=5,min=5},{monster_package={12003},route=4,route_points={1,2,3,4,5,6,7,8},tags=8,count=15,max=5,min=5}},

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 3013, pos = { x = 86.249, y = -6.241, z = 5.236 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3014, pos = { x = 86.205, y = -6.240, z = 3.434 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3015, pos = { x = 88.159, y = -6.240, z = 3.627 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3016, pos = { x = 86.191, y = -6.240, z = 1.207 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3017, pos = { x = 88.882, y = -6.240, z = 1.972 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3018, pos = { x = 88.831, y = -6.249, z = 5.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3019, pos = { x = 59.262, y = -2.376, z = -9.069 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3020, pos = { x = 60.721, y = -2.374, z = -6.676 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3021, pos = { x = 58.933, y = -2.389, z = -4.698 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3022, pos = { x = 60.695, y = -2.377, z = -9.583 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3023, pos = { x = 60.955, y = -2.375, z = -3.000 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3024, pos = { x = 62.109, y = -2.384, z = -8.679 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3025, pos = { x = 106.907, y = -2.363, z = -58.418 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3026, pos = { x = 108.366, y = -2.362, z = -56.024 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3027, pos = { x = 106.578, y = -2.363, z = -54.047 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3028, pos = { x = 108.340, y = -2.362, z = -58.932 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3029, pos = { x = 110.433, y = -2.361, z = -54.440 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3030, pos = { x = 109.754, y = -2.361, z = -58.027 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Monster02"
